/*
This file is part of Youga (Youpi Gamepad Front-end)
Copyright (C) 2017 AlphaK - http://www.alphak.net/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

gamepadId    = 0 ;              // The gamepad identifier

// The following default values use both analog sticks, both triggers, A & B buttons on a XBox360 gamepad
// Use null value if you want to inhibit explicitly an axis. Example:
// shoulderDown = null;
// shoulderUp = null;

baseLeft       = [ A , 0 , 0 ] ; // A negative value on axis 0 will make the base go left
baseRight      = [ A , 0 , 1 ] ; // A positive value on axis 0 will make the base go right
shoulderDown   = [ A , 1 , 1 ] ; // A positive value on axis 1 will make the shoulder go down
shoulderUp     = [ A , 1 , 0 ] ; // A negative value on axis 1 will make the shoulder go up
elbowDown      = [ A , 3 , 1 ] ; // A positive value on axis 3 will make the elbow go down
elbowUp        = [ A , 3 , 0 ] ; // A negative value on axis 3 will make the elbow go up
wristDown      = [ B , 6 , 1 ] ; // A press on button 6 will make the wrist go down
wristUp        = [ B , 7 , 1 ] ; // A press on button 7 will make the wrist go up
handLeft       = [ A , 2 , 1 ] ; // A positive value on axis 2 will make the hand go left
handRight      = [ A , 2 , 0 ] ; // A negative value on axis 2 will make the hand go right
pliersTight    = [ B , 0 , 1 ] ; // A press on button 0 will make the pliers go tight
pliersLoose    = [ B , 1 , 1 ] ; // A press on button 1 will make the pliers go loose

backToInitial  = [ B , 3 , 1 ] ; // A press on button 3 will make the robot go back to its initial position
appendPosition = [ B , 2 , 1 ] ; // A press on button 2 will poll the robot for current position
replayScript   = [ B , 9 , 1 ] ; // A press on button 9 will replay the current script
